SwiftGoma.SwiftGoma

Search endpoints

Jump to any API endpoint by name, method, or path

Shops

List my shops

GET/api/v1/seller/shop/me

Lists every shop owned by the signed-in seller, any status.

Requires Authorization
SELLER only
Session
Request
curl --request GET \
  --url https://api.swiftgoma.com/api/v1/seller/shop/me \
  --header 'Authorization: Bearer <access_token>'
200Example response
{
  "success": true,
  "data": [
    {
      "id": "shop_2b3c4d",
      "sellerProfileId": "sp_2b3c4d",
      "name": "Boutique Aline",
      "slug": "boutique-aline",
      "description": "Produits alimentaires et boissons en gros et au détail.",
      "logoUrl": "https://res.cloudinary.com/dx3wclabo/image/upload/v1/shops/aline-logo.jpg",
      "bannerUrl": "https://res.cloudinary.com/dx3wclabo/image/upload/v1/shops/aline-banner.jpg",
      "deliveryFee": "2.00",
      "deliveryFeeCurrency": "USD",
      "status": "PUBLISHED",
      "createdAt": "2026-01-08T09:00:00.000Z"
    }
  ]
}